package com.jasamedika.medifirst2000.vo;

import javax.persistence.*;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;

import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class Rhesus
 * 
 * @author Shakato
 */
/*@Entity //@Audited

@Table(name = "Rhesus_m")*/
public class RhesusVO extends BaseMasterVO {
	@NotNull(message="Rhesus tidak boleh kosong")
	@Column(name = "Rhesus", nullable = false , length = 7)
	@Caption(value="Rhesus")
	private String Rhesus;

	@NotNull(message="Kd Rhesus tidak boleh kosong")
	@Column(name = "KdRhesus", nullable = false )
	@Caption(value="Kode Rhesus")
	private Byte kdRhesus;

	@NotNull(message="QRhesus tidak boleh kosong")
	@Column(name = "QRhesus", nullable = false )
	@Caption(value="QRhesus")
	private Byte qRhesus;

	public String getRhesus() {
		return Rhesus;
	}

	public void setRhesus(String rhesus) {
		Rhesus = rhesus;
	}

	public Byte getKdRhesus() {
		return kdRhesus;
	}

	public void setKdRhesus(Byte kdRhesus) {
		this.kdRhesus = kdRhesus;
	}

	public Byte getqRhesus() {
		return qRhesus;
	}

	public void setqRhesus(Byte qRhesus) {
		this.qRhesus = qRhesus;
	}

}

